%define name SDL_mixer
%define version 1.1.0
%define release 3mdk
%define lib_name_orig libSDL_mixer
%define lib_major 1.1
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Simple DirectMedia Layer - mixer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.libsdl.org/projects/SDL_mixer/src/%{name}-%{version}.tar.bz2
Patch0: SDL_mixer-1.1.0-fix-segfaults.patch.bz2
Copyright: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.devolution.com/~slouken/SDL/projects/SDL_mixer/
Prefix: %{_prefix}
BuildRequires: libSDL1.1-devel XFree86-devel audiofile-devel esound-devel libvorbis0-devel libsmpeg-devel

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_name}-test
Summary: Test binary for %{name}
Group: System/Libraries

%description -n %{lib_name}-test
This package contains binary to test the associated library.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q
%patch0 -p0

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}-test
%defattr(-, root, root)
%doc README COPYING
%{_bindir}/playmus
%{_bindir}/playwave

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING mikmod/AUTHORS mikmod/README mikmod/COPYING.LESSER
%doc timidity/FAQ timidity/README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/

%changelog
* Thu Mar 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- fix segfaults in rocksndiamonds when no sound, by protecting some
  routines from being called when /dev/dsp is not available

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-4mdk
- macros
- against cool new libogg and libvorbis
- new lib policy
- split package for binaries

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-3mdk
- rebuild against newest oggvorbis to get vorbis support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-2mdk
- automatically added BuildRequires

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- change buildrequires
- v1.0.5

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-4mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-3mdk
- Fix macros with new libtoolize.
- Use %-configure.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- v1.0.4
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

